WordPress.org

Plugin Directory

RebelMouse: Your Social Front Page

Make your front page more social by adding RebelMouse

With Widget

This WordPress widget is easy to install:

  1. Extract the contents of the zip file into your wp-content/plugins directory.
  2. Activate the plugin through the 'Plugins' menu in WordPress.
  3. Go to the Appearance -> widget screen, drag the widget to a sidebar, and fill out the necessary fields and options.

Alternatively, if you did step 1 and 2 you can insert a version without a widget too (see below):

With shortcode

Use shortcodes to embed your rebelmouse stream in any post or page.

Usage:

[rebelmouse sitename="rebelmouse"]
[rebelmouse sitename="rebelmouse" h="1500" ]
[rebelmouse sitename="rebelmouse" more_button=1 ]
[rebelmouse sitename="mysitename/subpage" h="1500" ]

Arguments provides by the shortcode:

  • 'site_name' Your rebelmouse site name, also could include one particular subpage, ie. 'mysitename/myawesometab'
  • 'height' height of the iframe, empty by default set auto-adjusting.
  • 'show_rebelnav' 1 to display subpages, 0 to hide.
  • 'more_button' 1 to display a bottom button to load more posts, 0 will load automatically new posts, (default 0).

With custom code

Usage:

<?php rebelmouse_embed( $args ); ?>

Params: $args could be:

  • 'site_name' Your rebelmouse site name, also could include one particular subpage, ie. 'mysitename/myawesometab'
  • 'height' height of the iframe, empty by default set auto-adjusting.
  • 'show_rebelnav' 1 to display subpages, 0 to hide.
  • 'more_button' 1 to display a bottom button to load more posts, 0 will load automatically new posts, (0 is default value).

Example:

<?php rebelmouse_embed( 'site_name=rebelmouse&show_rebelnav=1' ); ?>
<?php rebelmouse_embed( 'site_name=rebelmouse/blog&height=3000' ); ?>

Requires: 3.0 or higher
Compatible up to: 4.0.3
Last Updated: 2014-9-4
Active Installs: 3,000+

Ratings

5 out of 5 stars

Support

0 of 3 support threads in the last two months have been resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,2,2
100,1,1
50,2,1